org.richfaces.resource.external

## Class MappedResourceFactoryImpl

- java.lang.Object
- - org.richfaces.resource.external.MappedResourceFactoryImpl

- All Implemented Interfaces:
    Initializable, MappedResourceFactory

      public class MappedResourceFactoryImpl
      extends Object
      implements MappedResourceFactory, Initializable

  Creates resources pointing outside of standard JSF resource handler using `ResourceServlet`.
  Author:
    Lukas Fryc
  See Also:
    `ResourceServlet`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappedResourceFactoryImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.application.Resource` | `createResource(javax.faces.context.FacesContext context, ResourceKey resourceKey)` Creates external resource
    `Set<ResourceKey>` | `getAggregatedResources(ResourcePath resourcePath)` Get all resources which maps to same location
    `void` | `init()` Called during service initialization time
    `void` | `release()` Called when releasing associated services

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MappedResourceFactoryImpl

          public MappedResourceFactoryImpl()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from interface: `Initializable`
      Called during service initialization time
      Specified by:
        `init` in interface `Initializable`

    - #### release

          public void release()

      Description copied from interface: `Initializable`
      Called when releasing associated services
      Specified by:
        `release` in interface `Initializable`

    - #### createResource

          public javax.faces.application.Resource createResource(javax.faces.context.FacesContext context,
                                                                 ResourceKey resourceKey)

      Description copied from interface: `MappedResourceFactory`
      Creates external resource
      Specified by:
        `createResource` in interface `MappedResourceFactory`
      Parameters:
        `context` - `FacesContext`
        `resourceKey` - the resource key
      Returns:
        external resource for given resource key

    - #### getAggregatedResources

          public Set<ResourceKey> getAggregatedResources(ResourcePath resourcePath)

      Description copied from interface: `MappedResourceFactory`
      Get all resources which maps to same location
      Specified by:
        `getAggregatedResources` in interface `MappedResourceFactory`
      Returns:
        all resources which maps to same location

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.